﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.CodeDom.Compiler;

namespace Ideal.API.LinqTextQueryBuilder
{
    public class LinqTextQueryRuntimeException : Exception
    {

        public IEnumerable<LinqTextQueryRuntimeError> _errors;

        public LinqTextQueryRuntimeException( string message )
            : base( message )
        {
        }
        public LinqTextQueryRuntimeException( string message, IEnumerable<LinqTextQueryRuntimeError> errors )
            : base( message )
        {
            _errors = errors;
        }

        public IEnumerable<LinqTextQueryRuntimeError> Errors
        {
            get { return _errors; }
        }

    }
}
